? .DS_Store
? Documentation
? afink.diff
? asterisk-ppc
? asterisk.1
? build
? main.c
? asterisk-addons/asterisk-ooh323c/.deps
? asterisk-addons/asterisk-ooh323c/.libs
? asterisk-addons/asterisk-ooh323c/H235-SECURITY-MESSAGESDec.lo
? asterisk-addons/asterisk-ooh323c/H235-SECURITY-MESSAGESEnc.lo
? asterisk-addons/asterisk-ooh323c/H323-MESSAGES.lo
? asterisk-addons/asterisk-ooh323c/H323-MESSAGESDec.lo
? asterisk-addons/asterisk-ooh323c/H323-MESSAGESEnc.lo
? asterisk-addons/asterisk-ooh323c/MULTIMEDIA-SYSTEM-CONTROL.lo
? asterisk-addons/asterisk-ooh323c/MULTIMEDIA-SYSTEM-CONTROLDec.lo
? asterisk-addons/asterisk-ooh323c/MULTIMEDIA-SYSTEM-CONTROLEnc.lo
? asterisk-addons/asterisk-ooh323c/Makefile
? asterisk-addons/asterisk-ooh323c/autom4te.cache
? asterisk-addons/asterisk-ooh323c/chan_h323.lo
? asterisk-addons/asterisk-ooh323c/config.log
? asterisk-addons/asterisk-ooh323c/config.status
? asterisk-addons/asterisk-ooh323c/context.lo
? asterisk-addons/asterisk-ooh323c/decode.lo
? asterisk-addons/asterisk-ooh323c/dlist.lo
? asterisk-addons/asterisk-ooh323c/encode.lo
? asterisk-addons/asterisk-ooh323c/errmgmt.lo
? asterisk-addons/asterisk-ooh323c/eventHandler.lo
? asterisk-addons/asterisk-ooh323c/libchan_h323.la
? asterisk-addons/asterisk-ooh323c/libtool
? asterisk-addons/asterisk-ooh323c/memheap.lo
? asterisk-addons/asterisk-ooh323c/ooCalls.lo
? asterisk-addons/asterisk-ooh323c/ooCapability.lo
? asterisk-addons/asterisk-ooh323c/ooDateTime.lo
? asterisk-addons/asterisk-ooh323c/ooGkClient.lo
? asterisk-addons/asterisk-ooh323c/ooLogChan.lo
? asterisk-addons/asterisk-ooh323c/ooSocket.lo
? asterisk-addons/asterisk-ooh323c/ooStackCmds.lo
? asterisk-addons/asterisk-ooh323c/ooTimer.lo
? asterisk-addons/asterisk-ooh323c/ooUtils.lo
? asterisk-addons/asterisk-ooh323c/oochannels.lo
? asterisk-addons/asterisk-ooh323c/ooh245.lo
? asterisk-addons/asterisk-ooh323c/ooh323.lo
? asterisk-addons/asterisk-ooh323c/ooh323cDriver.lo
? asterisk-addons/asterisk-ooh323c/ooh323ep.lo
? asterisk-addons/asterisk-ooh323c/ooports.lo
? asterisk-addons/asterisk-ooh323c/ooq931.lo
? asterisk-addons/asterisk-ooh323c/ootrace.lo
? asterisk-addons/asterisk-ooh323c/perutil.lo
? asterisk-addons/asterisk-ooh323c/printHandler.lo
? asterisk-addons/asterisk-ooh323c/rtctype.lo
? asterisk-addons/asterisk-ooh323c/stamp-h1
? channels/chan_h323.so.double
? channels/chan_h323.so.intel
? channels/chan_h323.so.ppc
? channels/h323flags
? channels/h323/libastchanh323.dylib
? channels/h323/libastchanh323_ppc.dylib
? db1-ast/check_mac_sdks.sh
? doc/api
? editline/autom4te.cache
? editline/check_mac_sdks.sh
? sounds/busy.gsm
? sounds/unavail.gsm
Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/Makefile,v
retrieving revision 1.223
diff -u -r1.223 Makefile
--- Makefile	8 Nov 2005 03:31:45 -0000	1.223
+++ Makefile	16 Nov 2005 02:04:46 -0000
@@ -1,5 +1,4 @@
-#
-# Asterisk -- A telephony toolkit for Linux.
+## Asterisk -- A telephony toolkit for Linux.
 # 
 # Top level Makefile
 #
@@ -339,7 +338,7 @@
 	astmm.o enum.o srv.o dns.o aescrypt.o aestab.o aeskey.o \
 	utils.o plc.o jitterbuf.o dnsmgr.o devicestate.o \
 	netsock.o slinfactory.o ast_expr2.o ast_expr2f.o \
-	cryptostub.o
+	cryptostub.o 
 
 ifeq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/sys/poll.h),)
   OBJS+= poll.o
@@ -357,11 +356,12 @@
   LIBS+=-lncurses -lm
 endif
 
-ifeq ($(OSARCH),Darwin)
-  LIBS+=-lresolv
-  ASTCFLAGS+=-D__Darwin__
+ifeq (${OSARCH},Darwin)
+  LIBS+=-lresolv -lcrypto  
+  ASTCFLAGS+=-D__Darwin__ -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386 -I/Developer/SDKs/MacOSX10.4u.sdk/usr/include
   AUDIO_LIBS=-framework CoreAudio
-  ASTLINK=-Wl,-dynamic
+  OBJS+=poll.o dlfcn.o
+  ASTLINK=-Wl,-dynamic "-Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk" -arch ppc -arch i386 
   SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
 else
 #These are used for all but Darwin
@@ -504,7 +504,7 @@
 	fi
 	rm -f include/asterisk/build.h.tmp
 	$(CC) -c -o buildinfo.o $(CFLAGS) buildinfo.c
-	$(CC) $(DEBUG) $(ASTOBJ) $(ASTLINK) $(OBJS) buildinfo.o $(LIBEDIT) db1-ast/libdb1.a stdtime/libtime.a $(LIBS)
+	$(CC) $(DEBUG) -o asterisk $(ASTLINK) $(OBJS) buildinfo.o $(LIBEDIT) db1-ast/libdb1.a stdtime/libtime.a -L/usr/X11R6/lib -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib $(LIBS)
 
 muted: muted.o
 	$(CC) $(AUDIO_LIBS) -o muted muted.o
Index: agi/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/agi/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- agi/Makefile	30 Aug 2005 02:54:01 -0000	1.11
+++ agi/Makefile	16 Nov 2005 02:04:46 -0000
@@ -15,6 +15,8 @@
 
 CFLAGS+=
 
+OSARCH=$(shell uname -s)
+
 LIBS=
 ifeq ($(OSARCH),SunOS)
   LIBS=-lsocket -lnsl ../strcompat.o
@@ -22,6 +24,11 @@
 
 ifeq ($(findstring BSD,${OSARCH}),BSD)
   CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include -L$(CROSS_COMPILE_TARGET)/usr/local/lib
+endif
+
+ifeq ($(OSARCH),Darwin)
+  CFLAGS+=-I/Developer/SDKs/MacOSX10.4u.sdk/usr/include -arch ppc -arch i386
+  LIBS=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib
 endif
 
 all: depend $(AGIS)
Index: apps/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/Makefile,v
retrieving revision 1.120
diff -u -r1.120 Makefile
--- apps/Makefile	11 Nov 2005 00:32:45 -0000	1.120
+++ apps/Makefile	16 Nov 2005 02:04:46 -0000
@@ -44,6 +44,8 @@
 #APPS+=app_skel.so
 #APPS+=app_rpt.so
 
+OSARCH=$(shell uname -s)
+
 ifndef WITHOUT_ZAPTEL
 ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/linux/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h),)
   APPS+=app_zapras.so app_meetme.so app_flash.so app_zapbarge.so app_zapscan.so app_page.so
@@ -56,6 +58,10 @@
 
 ifeq ($(findstring BSD,${OSARCH}),BSD)
 CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include -L$(CROSS_COMPILE_TARGET)/usr/local/lib
+endif
+
+ifeq (${OSARCH}, Darwin)
+SOLINK+=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -arch ppc -arch i386
 endif
 
 CURLLIBS=$(shell $(CROSS_COMPILE_BIN)curl-config --libs)
Index: asterisk-addons/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- asterisk-addons/Makefile	22 Jun 2005 00:14:26 -0000	1.14
+++ asterisk-addons/Makefile	16 Nov 2005 02:04:46 -0000
@@ -16,7 +16,7 @@
 MODS=format_mp3/format_mp3.so app_saycountpl.so
 
 CFLAGS+=-fPIC
-CFLAGS+=-I../asterisk
+CFLAGS+=-I../../asterisk
 CFLAGS+=-D_GNU_SOURCE
 
 INSTALL=install
@@ -42,7 +42,8 @@
 OSARCH=$(shell uname -s)
 
 ifeq (${OSARCH},Darwin)
-SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
+CFLAGS+=-arch ppc -arch i386 -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -I/Developer/SDKs/MacOSX10.4u.sdk/usr/include 
+SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -arch ppc -arch i386
 else
 SOLINK=-shared -Xlinker -x
 endif
@@ -70,13 +71,13 @@
 endif
 
 cdr_addon_mysql.so: cdr_addon_mysql.o
-	$(CC) $(SOLINK) -o $@ $< -lmysqlclient -lz $(MLFLAGS)
+	$(CC) $(SOLINK) -o $@ $< -lmysqlclient_r -lz $(MLFLAGS)
 
 res_config_mysql.so: res_config_mysql.o
-	$(CC) $(SOLINK) -o $@ $< -lmysqlclient -lz $(MLFLAGS)
+	$(CC) $(SOLINK) -o $@ $< -lmysqlclient_r -lz $(MLFLAGS)
 
 app_addon_sql_mysql.so: app_addon_sql_mysql.o
-	$(CC) $(SOLINK) -o $@ $< -lmysqlclient -lz $(MLFLAGS)
+	$(CC) $(SOLINK) -o $@ $< -lmysqlclient_r -lz $(MLFLAGS)
 
 depend: .depend
 
Index: asterisk-addons/asterisk-ooh323c/ooh323c/src/oochannels.c
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/asterisk-ooh323c/ooh323c/src/oochannels.c,v
retrieving revision 1.11
diff -u -r1.11 oochannels.c
--- asterisk-addons/asterisk-ooh323c/ooh323c/src/oochannels.c	4 Nov 2005 14:36:47 -0000	1.11
+++ asterisk-addons/asterisk-ooh323c/ooh323c/src/oochannels.c	16 Nov 2005 02:04:47 -0000
@@ -36,6 +36,7 @@
 extern DList g_TimerList;
 
 static OOBOOL gMonitor = FALSE;
+static EventHandler printHandler;
 
 
 int ooCreateH245Listener(OOH323CallData *call)
Index: asterisk-addons/asterisk-ooh323c/ooh323c/src/ooh323.c
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/asterisk-ooh323c/ooh323c/src/ooh323.c,v
retrieving revision 1.9
diff -u -r1.9 ooh323.c
--- asterisk-addons/asterisk-ooh323c/ooh323c/src/ooh323.c	26 Oct 2005 20:49:40 -0000	1.9
+++ asterisk-addons/asterisk-ooh323c/ooh323c/src/ooh323.c	16 Nov 2005 02:04:48 -0000
@@ -29,6 +29,7 @@
 /** Global endpoint structure */
 extern OOH323EndPoint gH323ep;
 
+static EventHandler printHandler;
 
 int ooOnReceivedReleaseComplete(OOH323CallData *call, Q931Message *q931Msg)
 {
Index: asterisk-addons/asterisk-ooh323c/ooh323c/src/ooq931.c
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/asterisk-ooh323c/ooh323c/src/ooq931.c,v
retrieving revision 1.18
diff -u -r1.18 ooq931.c
--- asterisk-addons/asterisk-ooh323c/ooh323c/src/ooq931.c	4 Nov 2005 14:36:47 -0000	1.18
+++ asterisk-addons/asterisk-ooh323c/ooh323c/src/ooq931.c	16 Nov 2005 02:04:48 -0000
@@ -28,8 +28,12 @@
 #include "ooUtils.h"
 #include "ootypes.h"
 #include <time.h>
+<<<<<<< ooq931.c
+
+=======
 #include <ctype.h>
 
+>>>>>>> 1.18
 /** Global endpoint structure */
 extern OOH323EndPoint gH323ep;
 
@@ -37,6 +41,8 @@
 static ASN1OBJID gProtocolID = {
    6, { 0, 0, 8, 2250, 0, 4 }
 };
+
+static EventHandler printHandler;
 
 EXTERN int ooQ931Decode 
    (OOH323CallData *call, Q931Message* msg, int length, ASN1OCTET *data) 
Index: asterisk-addons/asterisk-ooh323c/ooh323c/src/printHandler.h
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/asterisk-ooh323c/ooh323c/src/printHandler.h,v
retrieving revision 1.1
diff -u -r1.1 printHandler.h
--- asterisk-addons/asterisk-ooh323c/ooh323c/src/printHandler.h	23 May 2005 21:03:55 -0000	1.1
+++ asterisk-addons/asterisk-ooh323c/ooh323c/src/printHandler.h	16 Nov 2005 02:04:48 -0000
@@ -25,8 +25,6 @@
 
 #include "eventHandler.h"
 
-EventHandler printHandler;
-
 void initializePrintHandler(EventHandler *printHandler, char * varname);
 void finishPrint();
 void indent ();
Index: asterisk-addons/format_mp3/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/format_mp3/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- asterisk-addons/format_mp3/Makefile	2 Jun 2005 17:20:15 -0000	1.4
+++ asterisk-addons/format_mp3/Makefile	16 Nov 2005 02:04:48 -0000
@@ -29,7 +29,8 @@
 endif
 
 ifeq (${OSARCH},Darwin)
-SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
+CFLAGS+=-I/Developer/SDKs/MacOSX10.4u.sdk/usr/include -arch ppc -arch i386
+SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -arch ppc -arch i386
 else
 SOLINK=-shared -Xlinker -x
 endif
Index: channels/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/Makefile,v
retrieving revision 1.77
diff -u -r1.77 Makefile
--- channels/Makefile	8 Nov 2005 00:12:21 -0000	1.77
+++ channels/Makefile	16 Nov 2005 02:04:48 -0000
@@ -1,3 +1,4 @@
+
 #
 # Asterisk -- A telephony toolkit for Linux.
 # 
@@ -14,16 +15,25 @@
 # the GNU General Public License
 #
 
-CHANNEL_LIBS=chan_sip.so chan_agent.so chan_mgcp.so chan_iax2.so chan_local.so chan_skinny.so chan_features.so
+CXX=g++
 
-ifneq (${OSARCH},CYGWIN)
-CHANNEL_LIBS+=chan_modem.so chan_modem_aopen.so chan_modem_bestdata.so
-endif
+OSARCH=$(shell uname -s)
+
+CHANNEL_LIBS=chan_modem.so chan_sip.so \
+	     chan_modem_aopen.so \
+             chan_modem_bestdata.so \
+             chan_agent.so chan_mgcp.so chan_iax2.so \
+	     chan_local.so chan_skinny.so chan_features.so
 
 ifeq ($(findstring BSD,${OSARCH}),BSD)
  CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include -L$(CROSS_COMPILE_TARGET)/usr/local/lib
 endif
 
+ifeq ($(OSARCH), Darwin)
+  CFLAGS+=-I../include -L/Developer/SDKs/MacOSX10.4u.sdk/usr/include -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386
+  SOLINK+="-Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk" -arch ppc -arch i386 
+endif
+
 ifeq (${OSARCH},OpenBSD)
   PTLIB=-lpt_OpenBSD_x86_r
   H323LIB=-lh323_OpenBSD_x86_r
@@ -73,7 +83,7 @@
   CHANNEL_LIBS+=chan_phone.so
 endif
 
-ifneq ($(wildcard h323/libchanh323.a),)
+ifneq ($(wildcard h323/ast_h323.o),)
   CHANNEL_LIBS+=chan_h323.so
 endif
 
@@ -223,10 +233,12 @@
 
 ifeq (${OSARCH},Linux)
 chan_h323.so: chan_h323.o h323/libchanh323.a h323/Makefile.ast
-	$(CC) $(SOLINK) $(H323LDFLAGS) -o $@ $< h323/libchanh323.a $(H323LDLIBS) -lstdc++
+	$(CC) $(SOLINK)  $(H323LDFLAGS) -o $@ $< h323/libchanh323.a $(H323LDLIBS) -lstdc++
 else
-chan_h323.so: chan_h323.o h323/libchanh323.a
-	$(CC) $(SOLINK) -o $@ $< h323/libchanh323.a $(CHANH323LIB) -L$(PWLIBDIR)/lib $(PTLIB) -L$(OPENH323DIR)/lib $(H323LIB) -L/usr/lib -lcrypto -lssl -lexpat
+chan_h323.so: FORCE
+	@if ! [ -f h323/ast_h323.o ] ; then $(MAKE) -C h323 ast_h323.o ; fi  
+	$(CC) -c $(CFLAGS) -o chan_h323.o  chan_h323.c
+	$(CXX) $(SOLINK)  $(H323LDFLAGS) -o $@ chan_h323.o h323/ast_h323.o  -L/usr/local/lib $(H323LDLIBS) -L/usr/X11R6/lib -lcrypto -lssl -lexpat -B/Developer/SDKs/MacOSX10.4u.sdk/usr/  
 endif
 
 chan_misdn.so: chan_misdn.o chan_misdn_config.o misdn/chan_misdn_lib.a
@@ -235,7 +247,6 @@
 chan_misdn_config.o: chan_misdn_config.c
 	$(CC) $(CFLAGS) -c chan_misdn_config.c
 
-
 #chan_modem.so : chan_modem.o
 #	$(CC) -rdynamic -shared -Xlinker -x -o $@ $<
 
@@ -243,6 +254,8 @@
 	for x in $(CHANNEL_LIBS); do $(INSTALL) -m 755 $$x $(DESTDIR)$(MODULES_DIR) ; done
 	if ! [ -f chan_iax.so ]; then rm -f $(DESTDIR)$(MODULES_DIR)/chan_iax.so ; fi
 
+FORCE:
+
 depend: .depend
 
 .depend:
@@ -250,4 +263,3 @@
 
 env:
 	env
-
Index: channels/h323/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/h323/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- channels/h323/Makefile	29 Apr 2005 04:30:51 -0000	1.26
+++ channels/h323/Makefile	16 Nov 2005 02:04:48 -0000
@@ -3,25 +3,27 @@
 #
 # Make file for OpenH323 support layer
 #
-
 # Verify those options with main Makefile
-STDCCFLAGS	+= -DNDEBUG
+STDCCFLAGS	+= -DNDEBUG -arch ppc -arch i386 -fpermissive 
 STDCCFLAGS	+= $(shell grep ^DEBUG_THREADS ../../Makefile | sed -e "s/^DEBUG_THREADS[ 	]*=//" -e "s/\([^\#]*\)\#.*/\1/")
 STDCCFLAGS	+= -I../../include
-STDCCFLAGS	+= -Wmissing-prototypes
 STDCCFLAGS	+= -fPIC
 #OPTCCFLAGS	+=
 CFLAGS		+= -pipe
-TARGET		+= libchanh323.a
+TARGET		+= ast_h323.o
 TARGET		+= Makefile.ast
 SOURCES		= ast_h323.cxx
 OBJDIR		= .
+#CHANLDFLAGS     = -single_module -arch ppc -arch i386 -L/Users/aarno/pwlib/lib -L/Users/aarno/openh323/lib
+#CHANLDLIBS      = -lh323_Darwin_double -lpt_Darwin_double_r -lldap -lldap_r -llber -lpthread -lsasl2 -lssl -lcrypto -lresolv -lresolv -framework AudioToolbox -framework CoreAudio -framework AudioUnit -framework CoreServices
+#CHANLDOBJS      = chan_h323.o
+#CXX             = c++
 
 ifndef OPENH323DIR
 OPENH323DIR=$(HOME)/openh323
 endif
 
-include $(OPENH323DIR)/openh323u.mak
+include $(OPENH323DIR)/openh323u.mak 
 
 $(SOURCES)::	$(SOURCES:.cxx=.cpp)
 	ln -f $< $@
@@ -29,8 +31,11 @@
 $(SOURCES)::	Makefile ../../Makefile
 	touch $(SOURCES)
 
-libchanh323.a:	$(OBJS)
-	ar crv $@ $(OBJS)
+ast_h323.o: ast_h323.cpp
+	$(CXX) -c $(STDCCFLAGS) -o $@ ast_h323.cpp
+
+astchanh323.so: ast_h323.o
+	$(CXX) -dynamic -undefined suppress -o $@ $(OBJS)
 
 Makefile.ast:	FORCE
 	@echo H323CFLAGS  = $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) >$@.tmp
Index: codecs/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- codecs/Makefile	8 Nov 2005 04:13:18 -0000	1.34
+++ codecs/Makefile	16 Nov 2005 02:04:48 -0000
@@ -11,6 +11,11 @@
 # the GNU General Public License
 #
 
+OSARCH=$(shell uname -s)
+ifeq (${OSARCH}, Darwin)
+SOLINK+=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -arch ppc -arch i386
+endif
+
 ifeq (${OSARCH},CYGWIN)
 CYGSOLINK=-Wl,--out-implib=lib$@.a -Wl,--export-all-symbols
 CYGSOLIB=-L.. -L. -lasterisk.dll
Index: db1-ast/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/db1-ast/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- db1-ast/Makefile	14 Dec 2004 23:36:30 -0000	1.4
+++ db1-ast/Makefile	16 Nov 2005 02:04:48 -0000
@@ -1,5 +1,7 @@
 #	@(#)Makefile	8.9 (Berkeley) 7/14/94
 
+SHELL=/bin/sh
+
 LIBDB=	libdb1.a
 ARCH=$(shell uname -m)
 ifeq ($(ARCH),alpha)
@@ -40,7 +42,7 @@
 	ln -sf $@ libdb.so
 
 $(PROG): db_dump185.o $(LIBDBSO)
-	$(CC) -o $@ db_dump185.o -L. -ldb
+	$(CC) -o $@ db_dump185.o -L. -ldb -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib
 
 clean:
 	rm -f $(LIBDB) $(LIBDBSO) $(OBJS) $(SHOBJS)
@@ -51,6 +53,10 @@
 OSTYPE=$(shell uname -s)
 ifeq ($(OSTYPE),SunOS)
 CL+=-I../include -I../include/solaris-compat -DSOLARIS
+endif
+
+ifeq ($(OSTYPE),Darwin)
+CL+=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -I/Developer/SDKs/MacOSX10.4u.sdk/usr/include -arch ppc -arch i386
 endif
 
 db_dump185.o: db_dump185.c
Index: editline/configure.in
===================================================================
RCS file: /usr/cvsroot/asterisk/editline/configure.in,v
retrieving revision 1.4
diff -u -r1.4 configure.in
--- editline/configure.in	5 Oct 2005 00:17:57 -0000	1.4
+++ editline/configure.in	16 Nov 2005 02:04:48 -0000
@@ -25,7 +25,7 @@
 AC_CANONICAL_HOST
 case "${host}" in
   *-*-darwin*)
-	CFLAGS="$CFLAGS -fno-common -no-cpp-precomp"
+	CFLAGS="$CFLAGS -fno-common -no-cpp-precomp -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -I/Developer/SDKs/MacOSX10.4u.sdk/usr/include -arch ppc -arch i386"
 	ABI="macho"
 	;;
   *-*-freebsd*)
@@ -78,19 +78,19 @@
 AC_PATH_PROG(AR, ar, , $PATH)
 
 dnl Search for termcap access routines in termcap, tinfo, curses, and ncurses.
-AC_CHECK_LIB(termcap, tgetent, , \
-  AC_CHECK_LIB(tinfo, tgetent, , \
-    AC_CHECK_LIB(curses, tgetent, , \
-      AC_CHECK_LIB(ncurses, tgetent, , \
-        AC_MSG_ERROR(termcap support not found)))))
+dnl AC_CHECK_LIB(termcap, tgetent, , \
+dnl  AC_CHECK_LIB(tinfo, tgetent, , \
+dnl    AC_CHECK_LIB(curses, tgetent, , \
+dnl      AC_CHECK_LIB(ncurses, tgetent, , \
+dnl        AC_MSG_ERROR(termcap support not found)))))
 
 dnl Use termcap.h if it exists; otherwise we need both term.h and [n]curses.h.
-AC_CHECK_HEADERS(termcap.h, , \
-  AC_CHECK_HEADERS(term.h, , \
-    AC_MSG_RESULT(Need term.h since termcap.h is missing))
-  AC_CHECK_HEADERS(curses.h, , \
-    AC_CHECK_HEADERS(ncurses.h, , \
-      AC_MSG_RESULT(Need curses.h or ncurses.h))))
+dnl AC_CHECK_HEADERS(termcap.h, , \
+dnl   AC_CHECK_HEADERS(term.h, , \
+dnl     AC_MSG_RESULT(Need term.h since termcap.h is missing))
+dnl   AC_CHECK_HEADERS(curses.h, , \
+dnl     AC_CHECK_HEADERS(ncurses.h, , \
+dnl      AC_MSG_RESULT(Need curses.h or ncurses.h))))
 
 AC_CHECK_HEADERS(sys/cdefs.h vis.h)
 
@@ -101,33 +101,33 @@
 AC_CHECK_FUNCS(strvis, , CCSRCS="$CCSRCS np/vis.c")
 AC_CHECK_FUNCS(strunvis, , CCSRCS="$CCSRCS np/unvis.c")
 
-AC_EGREP_CPP(yes,
-[#include <sys/cdefs.h>
-#ifdef __RCSID
-  yes
-#endif
-], , [CPPFLAGS="$CPPFLAGS '-D__RCSID(x)='"])
-
-AC_EGREP_CPP(yes,
-[#include <sys/cdefs.h>
-#ifdef __COPYRIGHT
-  yes
-#endif
-], , [CPPFLAGS="$CPPFLAGS '-D__COPYRIGHT(x)='"])
-
-AC_EGREP_CPP(yes,
-[#include <sys/cdefs.h>
-#ifdef __RENAME
-  yes
-#endif
-], , [CPPFLAGS="$CPPFLAGS '-D__RENAME(x)='"])
-
-AC_EGREP_CPP(yes,
-[#include <sys/cdefs.h>
-#ifdef _DIAGASSERT
-  yes
-#endif
-], , [CPPFLAGS="$CPPFLAGS '-D_DIAGASSERT(x)='"])
+dnl AC_EGREP_CPP(yes,
+dnl [#include <sys/cdefs.h>
+dnl #ifdef __RCSID
+dnl   yes
+dnl #endif
+dnl ], , [CPPFLAGS="$CPPFLAGS '-D__RCSID(x)='"])
+
+dnl AC_EGREP_CPP(yes,
+dnl [#include <sys/cdefs.h>
+dnl #ifdef __COPYRIGHT
+dnl   yes
+dnl #endif
+dnl ], , [CPPFLAGS="$CPPFLAGS '-D__COPYRIGHT(x)='"])
+
+dnl AC_EGREP_CPP(yes,
+dnl [#include <sys/cdefs.h>
+dnl #ifdef __RENAME
+dnl   yes
+dnl #endif
+dnl ], , [CPPFLAGS="$CPPFLAGS '-D__RENAME(x)='"])
+
+dnl AC_EGREP_CPP(yes,
+dnl [#include <sys/cdefs.h>
+dnl #ifdef _DIAGASSERT
+dnl   yes
+dnl #endif
+dnl ], , [CPPFLAGS="$CPPFLAGS '-D_DIAGASSERT(x)='"])
 
 dnl Enable readline compatibility by default.
 AC_ARG_ENABLE(readline, [  --disable-readline      Disable readline compatibility],
Index: editline/np/unvis.c
===================================================================
RCS file: /usr/cvsroot/asterisk/editline/np/unvis.c,v
retrieving revision 1.1
diff -u -r1.1 unvis.c
--- editline/np/unvis.c	27 Nov 2002 05:04:07 -0000	1.1
+++ editline/np/unvis.c	16 Nov 2005 02:04:48 -0000
@@ -97,8 +97,8 @@
 	int *astate, flag;
 {
 
-	_DIAGASSERT(cp != NULL);
-	_DIAGASSERT(astate != NULL);
+	/*_DIAGASSERT(cp != NULL);
+	_DIAGASSERT(astate != NULL);*/
 
 	if (flag & UNVIS_END) {
 		if (*astate == S_OCTAL2 || *astate == S_OCTAL3
@@ -287,8 +287,8 @@
 	char *start = dst;
 	int state = 0;
 
-	_DIAGASSERT(src != NULL);
-	_DIAGASSERT(dst != NULL);
+	/*_DIAGASSERT(src != NULL);
+	_DIAGASSERT(dst != NULL);*/
 
 	while ((c = *src++) != '\0') {
 	again:
Index: editline/np/vis.c
===================================================================
RCS file: /usr/cvsroot/asterisk/editline/np/vis.c,v
retrieving revision 1.2
diff -u -r1.2 vis.c
--- editline/np/vis.c	14 Dec 2004 23:36:30 -0000	1.2
+++ editline/np/vis.c	16 Nov 2005 02:04:48 -0000
@@ -199,8 +199,8 @@
 	const char *extra;
 {
 	char *nextra;
-	_DIAGASSERT(dst != NULL);
-	_DIAGASSERT(extra != NULL);
+	/*_DIAGASSERT(dst != NULL);
+	_DIAGASSERT(extra != NULL);*/
 	MAKEEXTRALIST(flag, nextra, extra);
 	if (flag & VIS_HTTPSTYLE)
 		HVIS(dst, c, flag, nextc, nextra);
@@ -237,9 +237,9 @@
 	char *start;
 	char *nextra;
 
-	_DIAGASSERT(dst != NULL);
+	/*_DIAGASSERT(dst != NULL);
 	_DIAGASSERT(src != NULL);
-	_DIAGASSERT(extra != NULL);
+	_DIAGASSERT(extra != NULL);*/
 	MAKEEXTRALIST(flag, nextra, extra);
 	if (flag & VIS_HTTPSTYLE) {
 		for (start = dst; (c = *src++) != '\0'; /* empty */)
@@ -265,9 +265,9 @@
 	char *start;
 	char *nextra;
 
-	_DIAGASSERT(dst != NULL);
+	/*_DIAGASSERT(dst != NULL);
 	_DIAGASSERT(src != NULL);
-	_DIAGASSERT(extra != NULL);
+	_DIAGASSERT(extra != NULL);*/
 	MAKEEXTRALIST(flag, nextra, extra);
 
 	if (flag & VIS_HTTPSTYLE) {
@@ -297,7 +297,7 @@
 {
 	char *extra;
 
-	_DIAGASSERT(dst != NULL);
+	/*_DIAGASSERT(dst != NULL);*/
 
 	MAKEEXTRALIST(flag, extra, "");
 	if (flag & VIS_HTTPSTYLE)
Index: editline/np/vis.h
===================================================================
RCS file: /usr/cvsroot/asterisk/editline/np/vis.h,v
retrieving revision 1.1
diff -u -r1.1 vis.h
--- editline/np/vis.h	27 Nov 2002 05:04:07 -0000	1.1
+++ editline/np/vis.h	16 Nov 2005 02:04:48 -0000
@@ -73,6 +73,7 @@
  * unvis flags
  */
 #define	UNVIS_END	1	/* no more characters */
+#define __LIBC12_SOURCE__ 1
 
 #include <sys/cdefs.h>
 
Index: formats/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/formats/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- formats/Makefile	1 Nov 2005 21:53:30 -0000	1.24
+++ formats/Makefile	16 Nov 2005 02:04:48 -0000
@@ -11,6 +11,8 @@
 # the GNU General Public License
 #
 
+OSARCH=$(shell uname -s)
+
 FORMAT_LIBS=format_gsm.so format_wav.so \
 	format_wav_gsm.so format_vox.so format_pcm.so format_g729.so \
 	format_pcm_alaw.so format_h263.so format_g726.so format_ilbc.so \
@@ -31,6 +33,10 @@
 
 ifeq ($(findstring BSD,${OSARCH}),BSD)
   CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include -L$(CROSS_COMPILE_TARGET)/usr/local/lib
+endif
+
+ifeq ($(OSARCH), Darwin)
+  SOLINK+=-arch ppc -arch i386 -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib
 endif
 
 GSMLIB=../codecs/gsm/lib/libgsm.a
Index: funcs/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/funcs/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- funcs/Makefile	1 Nov 2005 21:53:30 -0000	1.12
+++ funcs/Makefile	16 Nov 2005 02:04:48 -0000
@@ -11,6 +11,8 @@
 # the GNU General Public License
 #
 
+OSARCH=$(shell uname -s)
+
 FUNCS=pbx_functions.so
 
 BUILTINS=func_md5.o \
@@ -42,6 +44,11 @@
 
 ifeq ($(findstring BSD,${OSARCH}),BSD)
   CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include -L$(CROSS_COMPILE_TARGET)/usr/local/lib
+endif
+
+ifeq (${OSARCH}, Darwin)
+  CFLAGS+=-I/Developer/SDKs/MacOSX10.4u.sdk/usr/include -arch ppc -arch i386
+  SOLINK+=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib  -arch ppc -arch i386
 endif
 
 all: $(FUNCS)
Index: pbx/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/pbx/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- pbx/Makefile	1 Nov 2005 21:53:30 -0000	1.21
+++ pbx/Makefile	16 Nov 2005 02:04:48 -0000
@@ -11,11 +11,17 @@
 # the GNU General Public License
 #
 
+OSARCH=$(shell uname -s)
+
 PBX_LIBS=pbx_config.so pbx_spool.so pbx_dundi.so pbx_loopback.so pbx_realtime.so \
          pbx_ael.so
 
 ifeq ($(findstring BSD,${OSARCH}),BSD)
   CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include -L$(CROSS_COMPILE_TARGET)/usr/local/lib
+endif
+
+ifeq (${OSARCH}, Darwin)
+  SOLINK+=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -arch ppc -arch i386
 endif
 
 # Add GTK console if appropriate
Index: res/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/res/Makefile,v
retrieving revision 1.30
diff -u -r1.30 Makefile
--- res/Makefile	14 Nov 2005 00:45:07 -0000	1.30
+++ res/Makefile	16 Nov 2005 02:04:48 -0000
@@ -11,7 +11,10 @@
 # the GNU General Public License
 #
 
-MODS=res_indications.so res_monitor.so res_adsi.so res_agi.so res_features.so
+OSARCH=$(shell uname -s)
+
+MODS=res_adsi.so res_features.so res_crypto.so res_musiconhold.so res_indications.so res_monitor.so \
+     res_agi.so
 
 ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/odbcinst.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/odbcinst.h),)
   ifneq (${OSARCH},FreeBSD)
@@ -67,6 +70,10 @@
 CFLAGS+=-DOPENSSL_NO_KRB5
 else
 CFLAGS+=-DOPENSSL_NO_KRB5 -fPIC
+endif
+
+ifeq (${OSARCH}, Darwin)
+SOLINK+=-L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib -arch ppc -arch i386
 endif
 
 all: depend $(MODS)
Index: stdtime/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/stdtime/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- stdtime/Makefile	20 Jun 2005 17:26:08 -0000	1.5
+++ stdtime/Makefile	16 Nov 2005 02:04:48 -0000
@@ -3,8 +3,9 @@
 all: libtime.a
 
 libtime.a: $(OBJS)
-	ar rv $@ $(OBJS)
-	ranlib $@
+#	ar rv $@ $(OBJS)
+#	ranlib $@
+	$(CC) -static -arch ppc -arch 1386  -o $@
 
 install:
 
